weldment profiles

Does anybody have some steel angle & channel weldment profiles they
would like to share?
I don't know why SW would introduce this functionality with no
library!
Maybe they will update with the next release?
Thanks,
Bob
Reply to
bszotko
Loading thread data ...
I can send you our bulk material templates, but I looked at some of the weldment documentation and it looks like you have to have an individual file for each shape. Is this correct? If so, too bad, because we have all of the channel shapes, for example, defined in a single part file as configurations. It looks like for us to have all of those available for weldments, we would have to break them all out. Comments? We haven't used the weldment feature yet, so maybe I'm just missing something.
WT
Reply to
Wayne Tiffany
"kenneth b" wrote in news:c12s4n$1e487d$1@ID- 150979.news.uni-berlin.de:
Maybe I'm missing something, but there is under the toolbox menu the 'structural steel' dialogue that contains standard steel profiles?
Zander
Reply to
Zander
Are you refering to 'No libraries' as not have any or the pathically small library that comes with SW....??
Reply to
SBC
i'm referring to "library features".
for weldments, profiles are created from library features. for toolbox, parts are created via different configs (sketch is driven by equations).
you could use a toolbox part to create "library features" for weldments.
Reply to
kenneth b
Wayne, Weldment profiles are individual Library Features so you will need to convert every config of your part libraries. I have attached a macro that will do this. Please note that this macro requires that you Save each part to a template first - the macro will then run thru the part template and convert each config to a separate Library Feature. MACRO WAS CREATED BY MY VAR - SHANE PARKER OF INTERCAD - THANKS!! It has one problem - each configuration that it creates makes it incrementally larger than it's predecessor (e.g. on a 900+ config pipe the config was about 250 KB and the last 6500KB) - I believe that Shane fixed this but I don't have a copy of the updated macro. Maybe someone out there can give it a bit of a tweak to reduce the file sizes.
To make your weldment profiles 'Smart' you need to add the custom properties at the CUSTOM tab and NOT the Configuration tab and if you make these properties parametric (i.e. linked to the part dimensions) they will auto populate your cut list properties. e.g. I use Description (75x50 RHS) & Material (not parametric) - the weldment function will auto create the Length property for the cut length.
Also make sure that you put lots of 'connection points' on your part sketch - e.g. on a pipe put a point at each quadrant.
It is also very important the you create the correct directory structure or SW will not display them correctly (it needs to display 2 directories then the size). E.g. Hot Rolled Section/Equal Angle/
HTH
Merry :-)
' **************************************************************************** ** ' C:\DOCUME~1\Shane\LOCALS~1\Temp\swx568\Macro1.swb - macro recorded on 08/27/03 by Shane ' **************************************************************************** ** Sub main()
Dim swApp As SldWorks.SldWorks Dim Part As SldWorks.ModelDoc2 Dim longstatus As Long Dim longwarnings As Long Dim boolstatus As Boolean
Dim FullPath As String Dim PathOnly As String Dim vPath As Variant Dim TemplateName As String Dim vTemplateName As Variant Dim NameOnly As String Dim ConfigName As String Dim ConfigList As Variant Dim ThisConfig As Variant Dim Skname As String
Set swApp = Application.SldWorks
UserForm1.CommonDialog1.Filter = "*.prtdot|*.prtdot" UserForm1.CommonDialog1.ShowOpen FullPath = UserForm1.CommonDialog1.FileName vPath = Split(FullPath, "\") TemplateName = vPath(UBound(vPath)) PathOnly = Left(FullPath, Len(FullPath) - Len(TemplateName)) vTemplateName = Split(TemplateName, ".") NameOnly = vTemplateName(0)
Set Part = swApp.OpenDoc6(FullPath, 1, 0, "", longstatus, longwarnings) Part.SaveAs2 PathOnly + NameOnly + ".sldprt", 0, False, Falseyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy Skname = InputBox("Sketch Name: ", "Name of sketch to use in lib feature", "Sketch1") ConfigList = Part.GetConfigurationNames
For Each ThisConfig In ConfigList ConfigName = ThisConfig
Part.ShowConfiguration2 ConfigName
boolstatus = Part.Extension.SelectByID(Skname, "SKETCH", 0, 0, 0, False, 0, Nothing)
Part.SaveAs2 PathOnly + ConfigName + ".SLDLFP", 0, True, False
Set Part = swApp.OpenDoc6(FullPath, 1, 0, "", longstatus, longwarnings) Next ThisConfig
End Sub
Reply to
Merry Owen
Hi Wayne, Bob, Merry, etal,
Do this,
Open a library file that has many configs in it. Named it, "Size"
Make sure the library file is saved in the proper location such as:
C:\Program Files\SolidWorks\data\weldment profiles\ansi inch\square tube\size.sldlfp
Return to the size.sldlfp and change to the config you want as a weldment profile and SAVE it but do not close it.
Open a new part file, create the profile sketch, close sketch
Insert a weldment, structural member,
Standard = ansi inch Type = Square tube Size = Size Pick your path segment
Then walaa, you have the profile that was LAST SAVED in your multi config-single file!
Go back to your size.sldlfp and change the config and SAVE the file.
Start another structural member do same steps above and the profile will be the LAST saved profile in the "Size.sldlfp" file.
That's the work around I found to NOT having save a whole bunch of library files...
I hope this helps,
Dan B.
Reply to
Dan Bovinich (home)

Site Timeline

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.